package dao

import "gorm.io/gorm"

// NoticeRecord 告警通知记录
type NoticeRecord struct {
	gorm.Model
	NoticeSetId int `gorm:"comment:告警通知设置ID;" json:"noticeSetId"`
	NoticeSet   NoticeSet
	ArmClassify int    `gorm:"comment:告警类型：1运维，2业务;" json:"classify"`
	Content     string `gorm:"comment:发送内容;" json:"content"`
	Status      int    `gorm:"comment:发送状态;" json:"status"`
}

func (NoticeRecord) TableName() string {
	return "warn_notice_record"
}
