package model

type RequestListFilter struct {
	SearchValue string
}

type ResposeNoticeSetRecords struct {
	Records []NoticeSetRecords `json:"records"` //记录列表
	Current int                `json:"current"` //当前分页
	Size    int                `json:"size"`    //每页数量
	Total   int                `json:"total"`   //总数
	Pages   int                `json:"pages"`   //总页数
}

//返回结果
type NoticeSetRecords struct {
	ID                      string             `json:"id"`
	Rtype                   int                `json:"rtype,omitempty"`
	DeviceId                int                `json:"deviceId,omitempty"`
	DeviceType              int                `json:"deviceType,omitempty"`
	RtypeName               string             `json:"showName,omitempty"`
	DevUserNoticeModesName  string             `json:"devUserNoticeModesName,omitempty"`
	BusinessNoticeModesName string             `json:"businessNoticeModesName,omitempty"`
	DevUserIdsName          string             `json:"devUserIdsName,omitempty"`
	BusinessUserIdsName     string             `json:"businessUserIdsName,omitempty"`
	Children                []NoticeSetRecords `json:"children,omitempty"`
}
